html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    overflow: hidden; /* No scroll */
    width: 100%;
}
body {
    width: 100vw;
    height: 100vh;
    font-family: 'Power Grotesk', Arial, sans-serif;

}

#loader {
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background: #DAFF02;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

#bg-video {
    position: fixed;
    top: 0; left: 0; right: 0; bottom: 0;
    min-width: 100vw;
    min-height: 100vh;
    width: auto;
    height: auto;
    object-fit: cover;
    z-index: 0;
    filter: grayscale(0%);
}

.corner {
    position: fixed;
    width: 20vw; /* Adjust size if needed */
    z-index: 2;
    pointer-events: none; /* So clicks pass through */
    color: red;
}

.top-right {
    top: 0;
    right: 0;
}

.bottom-left {
    bottom: 0;
    left: 0;
}

/* Logo */
.logo {
    position: fixed;
    top: 24px; left: 40px;
    z-index: 3;
}
.logo img {
    height: 54px; /* Adapt size to design */
}

/* Centered navigation */
nav {
    position: absolute;
    left: 50%; top: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 4;
}

nav ul {
    margin: 0;
    padding: 0;
    list-style: none;
}
nav li {
    margin: 10px 0;
}
/* Main navigation style */
.nav-link {
    color: #FFF;
    font-weight: 700;
    font-size: 64px;
    line-height: 1;
    letter-spacing: 0.5px;
    text-decoration: none;
    font-family: 'Power Grotesk Trial Black', Arial, sans-serif;
    transition: color, font-style;
    font-style: normal;
    display: inline-block;
}

.nav-link:hover {
    color: #2837DC;
    font-style: italic;
}

/* Footer styling */
footer {
    position: absolute;
    bottom: 20px; left: 50%;
    transform: translateX(-50%);
    color: #E4FF00;
    font-size: 13px;
    font-family: 'Power Grotesk', Arial, sans-serif;
    letter-spacing: 0.5px;
    z-index: 4;
    text-align: center;
}

@font-face {
    font-family: 'Power Grotesk Trial Black';
    src: url('/assets/PowerGrotesk-Black.otf') format('opentype'),
    url('/assets/PowerGrotesk-Black.woff') format('woff'),
    url('/assets/PowerGrotesk-Black.woff2') format('woff2');
    font-weight: bold;
    font-style: normal;
}
@font-face {
    font-family: 'Power Grotesk Trial Black Ita';
    src: url('/assets/PowerGrotesk-BlackItalic.otf') format('opentype'),
    url('/assets/PowerGrotesk-BlackItalic.woff') format('woff'),
    url('/assets/PowerGrotesk-BlackItalic.woff2') format('woff2');
    font-weight: bold;
    font-style: italic;
}
@font-face {
    font-family: 'Power Grotesk';
    src: url('/assets/PowerGrotesk-Regular.otf') format('opentype'),
    url('/assets/PowerGrotesk-Regular.woff') format('woff');,
    url('/assets/PowerGrotesk-Regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

/* CSS */
.button-1 {
    background-color: #2837DC;
    border-radius:0px;
    border-style: none;
    box-sizing: border-box;
    color: #FFFFFF;
    cursor: pointer;
    display: inline-block;
    font-family: "Power Grotesk Trial Black", Arial, sans-serif;
    font-size: 17px;
    font-weight: 500;
    list-style: none;
    margin-top: 20px;
    outline: none;
    padding: 20px 100px;
    position: relative;
    text-align: center;
    text-decoration: none;
    vertical-align: baseline;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
}

.button-1:hover,
.button-1:focus {
    background-color: black;
}

@media (max-width: 768px) {
    .nav-link {
        font-size: 44px;
    }
}